net.minecraftforge.event.entity.living

## Class LivingSpawnEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.living.LivingSpawnEvent

- Direct Known Subclasses:
    LivingSpawnEvent.AllowDespawn, LivingSpawnEvent.CheckSpawn, LivingSpawnEvent.SpecialSpawn

      public class LivingSpawnEvent
      extends LivingEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LivingSpawnEvent.AllowDespawn` Fired each tick for despawnable mobs to allow control over despawning.
    `static class` | `LivingSpawnEvent.CheckSpawn` Fires before mob spawn events.
    `static class` | `LivingSpawnEvent.SpecialSpawn`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `World` | `world`
    `float` | `x`
    `float` | `y`
    `float` | `z`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LivingSpawnEvent(EntityLiving entity, World world, float x, float y, float z)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### world

          public final World world

    - #### x

          public final float x

    - #### y

          public final float y

    - #### z

          public final float z

  - ### Constructor Detail

    - #### LivingSpawnEvent

          public LivingSpawnEvent(EntityLiving entity,
                          World world,
                          float x,
                          float y,
                          float z)